aboutsummaryrefslogtreecommitdiff
path: root/tools/darwin
diff options
context:
space:
mode:
authorAndrey Filipenkov <decapitator@ukr.net>2020-08-27 15:18:33 +0300
committerAndrey Filipenkov <decapitator@ukr.net>2020-08-28 10:12:31 +0300
commit4460b940894751fd5b5e75b1d5ba3306e6b10ff0 (patch)
tree0121ca790095a39fabba36ce1ba2c7dcb4c645e0 /tools/darwin
parent293e0fc15f24a1edc12a8e754868fa47df37fdda (diff)
[macos] fail only release build on notarization failure
Diffstat (limited to 'tools/darwin')
-rwxr-xr-xtools/darwin/packaging/osx/mkdmg-osx.sh.in6
1 files changed, 5 insertions, 1 deletions
diff --git a/tools/darwin/packaging/osx/mkdmg-osx.sh.in b/tools/darwin/packaging/osx/mkdmg-osx.sh.in
index 1cf3447b66..ac200a4c44 100755
--- a/tools/darwin/packaging/osx/mkdmg-osx.sh.in
+++ b/tools/darwin/packaging/osx/mkdmg-osx.sh.in
@@ -11,6 +11,7 @@ if [ ${SWITCH:-""} = "debug" ]; then
elif [ ${SWITCH:-""} = "release" ]; then
echo "Packaging Release target for OSX"
APP="$DIRNAME/../../../../build/Release/@APP_NAME@.app"
+ isReleaseBuild=1
else
echo "You need to specify the build target"
exit 1
@@ -65,5 +66,8 @@ echo "done"
# codesign and notarize dmg
if [ "$EXPANDED_CODE_SIGN_IDENTITY_NAME" ]; then
codesign --verbose=4 --sign "$EXPANDED_CODE_SIGN_IDENTITY_NAME" "$dmgPath"
- ./notarize.sh "$dmgPath" "$APP/Contents/Info.plist"
+ if ! ./notarize.sh "$dmgPath" "$APP/Contents/Info.plist" && [[ $isReleaseBuild == 1 ]]; then
+ exit 1
+ fi
fi
+exit 0